openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/TREX_RFC_LIST_SCHEDULER_TASKS:
    post:
      tags:
      - TREX_RFC_CRAWLER
      summary: list Scheduler Tasks
      operationId: /rfc/TREX_RFC_LIST_SCHEDULER_TASKS
      requestBody:
        content:
          application/json:
            schema:
              properties:
                NAME_SPACE:
                  type: string
                  format: byte
                SCHEDULER_TASK_LIST:
                  type: array
                  items:
                    type: object
                    properties:
                      SCHEDULER_TASK_NAME:
                        type: string
                        format: byte
                        description: ''
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  RETURN_CODE:
                    type: integer
                    format: int64
                    description: Return Code
                  RETURN_TEXT:
                    type: string
                    format: byte
                    description: Return Text
                  SCHEDULER_TASK_LIST:
                    type: array
                    items:
                      type: object
                      properties:
                        SCHEDULER_TASK_NAME:
                          type: string
                          format: byte
                          description: ''
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
